com.holonplatform.vaadin.components.builders

## Interface BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    BaseSelectInputBuilder<Set<T>,MultiSelect<T>,T,com.holonplatform.core.property.PropertyBox,BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>>, BaseSelectInputBuilder.MultiSelectConfigurator<T,com.holonplatform.core.property.PropertyBox,BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>>, BaseSelectModeMultiPropertySelectInputBuilder<T,BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>>, ComponentConfigurator<BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>>, InputBuilder<Set<T>,MultiSelect<T>,BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>>, InputConfigurator<Set<T>,BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>>, MultiPropertySelectInputBuilder<T,BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>>, PropertySelectInputBuilder<Set<T>,MultiSelect<T>,T,BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>>, SelectInputBuilder<Set<T>,MultiSelect<T>,T,com.holonplatform.core.property.PropertyBox,BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>>
  Enclosing interface:
    BaseSelectModeMultiPropertySelectInputBuilder<T,B extends BaseSelectModeMultiPropertySelectInputBuilder<T,B>>

      public static interface BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>
      extends BaseSelectModeMultiPropertySelectInputBuilder<T,BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>>

  A `MultiPropertySelectInputBuilder` for `RenderingMode#OPTIONS`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectModeMultiPropertySelectInputBuilder

      `BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>, BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.MultiPropertySelectInputBuilder

      `MultiPropertySelectInputBuilder.GenericMultiPropertySelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>` | `htmlContentAllowed(boolean htmlContentAllowed)` Sets whether html is allowed in the item captions.
    `BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>` | `itemEnabledProvider(com.vaadin.server.SerializablePredicate<T> itemEnabledProvider)` Sets the item enabled predicate.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemDescriptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, dragSource, dropTarget, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.PropertySelectInputBuilder

      `dataSource, dataSource, dataSource, itemConverter`

- - ### Method Detail

    - #### htmlContentAllowed

          BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T> htmlContentAllowed(boolean htmlContentAllowed)

      Sets whether html is allowed in the item captions.
      Parameters:
        `htmlContentAllowed` - true if the captions are used as html, false if used as plain text
      Returns:
        this

    - #### itemEnabledProvider

          BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T> itemEnabledProvider(com.vaadin.server.SerializablePredicate<T> itemEnabledProvider)

      Sets the item enabled predicate. The predicate is applied to each item to determine whether the item should be enabled or disabled.
      Parameters:
        `itemEnabledProvider` - the item enabled provider to set (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.